JMXProviderException (Java SE 21 & JDK 21)
Description: declaration: module: java.management, package: javax.management.remote, class: JMXProviderException
Keywords: javax.management.remote.JMXProviderException class

Module java.management
Package javax.management.remote

# Class JMXProviderException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
javax.management.remote.JMXProviderException

All Implemented Interfaces:
  `Serializable`

public class JMXProviderException extends IOException

Exception thrown by `JMXConnectorFactory` and `JMXConnectorServerFactory` when a provider exists for the required protocol but cannot be used for some reason.

Since:
  1.5
See Also:
  - `JMXConnectorFactory.newJMXConnector(javax.management.remote.JMXServiceURL, java.util.Map<java.lang.String, ?>)`
  - `JMXConnectorServerFactory.newJMXConnectorServer(javax.management.remote.JMXServiceURL, java.util.Map<java.lang.String, ?>, javax.management.MBeanServer)`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JMXProviderException()`
  Constructs a `JMXProviderException` with no specified detail message.
  `JMXProviderException(String message)`
  Constructs a `JMXProviderException` with the specified detail message.
  `JMXProviderException(String message, Throwable cause)`
  Constructs a `JMXProviderException` with the specified detail message and nested exception.

- ## Method Summary

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### JMXProviderException

    public JMXProviderException()

    Constructs a `JMXProviderException` with no specified detail message.

  - ### JMXProviderException

    public JMXProviderException(String message)

    Constructs a `JMXProviderException` with the specified detail message.

    Parameters:
      `message` - the detail message

  - ### JMXProviderException

    public JMXProviderException(String message, Throwable cause)

    Constructs a `JMXProviderException` with the specified detail message and nested exception.

    Parameters:
      `message` - the detail message
      `cause` - the nested exception